[Rubygems-developers] Warning: Don't upload gems made with the beta yet

NAKAMURA, Hiroshi nakahiro at sarion.co.jp
Mon Oct 29 10:37:20 EDT 2007


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi,

NAKAMURA, Hiroshi wrote:
> Still have the problem?  Can you show me an actual gem of win32-api and
> the gems index that caused the problem?
> 
> I created a soap4r gem and gems index with svn trunk (0.9.4.6?) but I
> can install it with 0.9.4.  On the machine that uses 0.9.4, loading the
> Marshal index 'Marshal.4.8' caused an error but I think source_index.rb
> in 0.9.4 doesn't try to fetch the Marshal gem index.  And the error I
> got is different from the one Dan got.  How I can get the TypeError above?

Reply to myself with a quicky patch.  Request for review.

Regards,
// NaHi

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (Cygwin)

iQEVAwUBRyXwHx9L2jg5EEGlAQLFagf+PaLKFSKgjXl86mNbCcCcBtboXOrmth/d
kT1s+zg4eMj6fV7gos028WfTgZDYvzTh3UQ6WVWb6reX76StZlINEIlI6oMEuUlB
82j5uy1+Y9P0jcM5bxAyOfb/i6O55ppD3D3VbJkCtHJUp8MU0VAdTN2WZvM27vyX
Tn8K3IqeJ5aDrNcjNf/qQT7Khf4eOtsFofX6UTRETMLAqij+TRueYAi03dTnw01q
iJWlO54Dbtwq5W+b2tI0GBX9RQQ3Lxa2eZcYb/uIauHHcjM6T4sexg20ry0vF87o
AT7gt8kU0tz2lZ+nX/bnuhAfRjpUQ+0kFTLpckcNOId5G12SN2WjxQ==
=YiER
-----END PGP SIGNATURE-----
-------------- next part --------------
An embedded and charset-unspecified text was scrubbed...
Name: platform.diff
Url: http://rubyforge.org/pipermail/rubygems-developers/attachments/20071029/4f405479/attachment.pl 


More information about the Rubygems-developers mailing list